---
lang: en
title: 'API docs: socketio.socketiometadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketiometadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoMetadata](./socketio.socketiometadata.md)

## SocketIoMetadata interface

Metadata for SocketIo

**Signature:**

```typescript
export interface SocketIoMetadata 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[name?](./socketio.socketiometadata.name.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_


</td></tr>
<tr><td>

[namespace?](./socketio.socketiometadata.namespace.md)


</td><td>


</td><td>

string \| RegExp


</td><td>

_(Optional)_


</td></tr>
</tbody></table>

